*** WeiDU-185/zlib/deflate.h	Fri Sep 27 03:16:30 2002
--- WeiDU/zlib/deflate.h	Sat Sep  1 02:40:48 2007
***************
*** 1,5 ****
  /* deflate.h -- internal compression state
!  * Copyright (C) 1995-2002 Jean-loup Gailly
   * For conditions of distribution and use, see copyright notice in zlib.h 
   */
  
--- 1,5 ----
  /* deflate.h -- internal compression state
!  * Copyright (C) 1995-2005 Jean-loup Gailly
   * For conditions of distribution and use, see copyright notice in zlib.h
   */
  
***************
*** 10,20 ****
  
  /* @(#) $Id$ */
  
! #ifndef _DEFLATE_H
! #define _DEFLATE_H
  
  #include "zutil.h"
  
  /* ===========================================================================
   * Internal compression state.
   */
--- 10,28 ----
  
  /* @(#) $Id$ */
  
! #ifndef DEFLATE_H
! #define DEFLATE_H
  
  #include "zutil.h"
  
+ /* define NO_GZIP when compiling if you want to disable gzip header and
+    trailer creation by deflate().  NO_GZIP would be used to avoid linking in
+    the crc code when it is not needed.  For shared libraries, gzip encoding
+    should be left enabled. */
+ #ifndef NO_GZIP
+ #  define GZIP
+ #endif
+ 
  /* ===========================================================================
   * Internal compression state.
   */
***************
*** 41,46 ****
--- 49,58 ----
  /* All codes must not exceed MAX_BITS bits */
  
  #define INIT_STATE    42
+ #define EXTRA_STATE   69
+ #define NAME_STATE    73
+ #define COMMENT_STATE 91
+ #define HCRC_STATE   103
  #define BUSY_STATE   113
  #define FINISH_STATE 666
  /* Stream status */
***************
*** 85,93 ****
      Bytef *pending_buf;  /* output still pending */
      ulg   pending_buf_size; /* size of pending_buf */
      Bytef *pending_out;  /* next pending byte to output to the stream */
!     int   pending;       /* nb of bytes in the pending buffer */
!     int   noheader;      /* suppress zlib header and adler32 */
!     Byte  data_type;     /* UNKNOWN, BINARY or ASCII */
      Byte  method;        /* STORED (for zip only) or DEFLATED */
      int   last_flush;    /* value of flush param for previous deflate call */
  
--- 97,106 ----
      Bytef *pending_buf;  /* output still pending */
      ulg   pending_buf_size; /* size of pending_buf */
      Bytef *pending_out;  /* next pending byte to output to the stream */
!     uInt   pending;      /* nb of bytes in the pending buffer */
!     int   wrap;          /* bit 0 true for zlib, bit 1 true for gzip */
!     gz_headerp  gzhead;  /* gzip header information to write */
!     uInt   gzindex;      /* where in extra, name, or comment */
      Byte  method;        /* STORED (for zip only) or DEFLATED */
      int   last_flush;    /* value of flush param for previous deflate call */
  
***************
*** 315,318 ****
                flush = _tr_tally(s, distance, length) 
  #endif
  
! #endif
--- 328,331 ----
                flush = _tr_tally(s, distance, length)
  #endif
  
! #endif /* DEFLATE_H */
